=== debian/changelog ===
qtbase-opensource-src (5.2.1+dfsg-1ubuntu14.3) trusty; urgency=medium

  * Patching for Boundary iMX6 boards

 -- Laci Tele <laci@boundarydevices.com>  Sun, 23 Aug 2015 13:11:23 -0700

qtbase-opensource-src (5.2.1+dfsg-1ubuntu14.3) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted GIF image
    - debian/patches/CVE-2014-0190.patch: check for broken image in
      src/gui/image/qgifhandler.cpp.
    - CVE-2014-0190
  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 May 2015 13:55:50 -0400

qtbase-opensource-src (5.2.1+dfsg-1ubuntu14.2) trusty; urgency=medium

  * debian/patches/xi2-use-master-device.patch:
    - Make xi2 select events on master device instead of slaves.
      (LP: #1307701)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 06 May 2014 13:14:17 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu14.1) trusty; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix issues with keymap update handling
    (Add_better_support_for_keymap_update_handling.patch, copied from
    Debian and rebased). (LP: #1318482)
  * Build-depend on libxkbcommon-x11-dev, as the new patch includes
    <xkbcommon/xkbcommon-x11.h>.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 28 Apr 2014 03:11:01 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu14) trusty; urgency=medium

  * libqt5gui5.symbols, libqt5opengl5.symbols: making the gl/gles symbols
    optional, and creating a list of generic and gl/gles specifics symbols,
    so we can provide a set of packages built with the OpenGL ES backend on
    i386 and amd64
  * debian/rules: don't override makeshlibs and leave it to be automatically
    created (so we can have proper >= version deps)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 09 Apr 2014 18:59:26 -0300

qtbase-opensource-src (5.2.1+dfsg-1ubuntu13) trusty; urgency=medium

  * Update remaining symbols files with buildd's logs.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 08 Apr 2014 11:46:46 -0300

qtbase-opensource-src (5.2.1+dfsg-1ubuntu12) trusty; urgency=medium

  * Update symbols files with buildd's logs.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 07 Apr 2014 20:29:31 -0300

qtbase-opensource-src (5.2.1+dfsg-1ubuntu11) trusty; urgency=medium

  * debian/patches/When-looking-up-the-window-hierarchy-stop-at-foreign.patch
    - Cherry-pick a fix to a bug affecting online accounts (LP: #1299712)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Apr 2014 12:41:00 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu10) trusty; urgency=medium

  * Make qt5-qmake Multi-Arch: same since it moved from shipping files in
    /usr/share to /usr/lib/<triplet>.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 18 Mar 2014 12:41:00 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu9) trusty; urgency=medium

  * debian/patches/Fix-access-after-delete-with-Harfbuzz-NG-code-path.patch
  * debian/patches/Fix-log_clusters-calculation-in-HarfBuzz-NG-code-pat.patch
  * debian/patches/HarfBuzz-NG-Hide-characters-that-should-normally-be-.patch
  * debian/patches/Minor-optimization-for-QTextEngine-shapeText.patch
    - Cherry-pick latest HarfBuzz-NG changes from upstream including the one 
      fixing the glyph issue https://codereview.qt-project.org/#change,81150
      (LP: #1285184)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 18 Mar 2014 06:00:49 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu8) trusty; urgency=medium

  * debian/patches/Add-workaround-for-GL-on-Android-emulator.patch:
    - Adding back the remaining piece that's not yet upstream, but needed
      for the Ubuntu Touch emulator

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 17 Mar 2014 19:49:43 -0300

qtbase-opensource-src (5.2.1+dfsg-1ubuntu7) trusty; urgency=medium

  [ Colin Watson ]
  * Add arm64 to archs that don't use -m64

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 11:01:46 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu6) trusty; urgency=medium

  * Add Use-None-instead-of-GLX_NONE.patch:
    - Cherry-pick upstream patch (LP: #1288278)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 05:34:12 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu5) trusty; urgency=medium

  * Only run tests on armhf, amd64 and i386.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Mar 2014 05:24:13 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu4) trusty; urgency=medium

  [ Chris Gagnon ]
  * Enable unit tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 03 Mar 2014 18:50:34 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu3) trusty; urgency=medium

  * Revert the transitional package change final landing.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 03 Mar 2014 13:22:42 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu2) trusty; urgency=medium

  * libqt5core5 transitional package to be able to run ABI related tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 13:56:19 +0000

qtbase-opensource-src (5.2.1+dfsg-1ubuntu1) trusty; urgency=low

  [ Dmitry Shachnev ]
  * Update watch file (taken from Debian).
  * Fix generating documentation by building qdoc before using it.

